#include <QtGui>
#include "guest.h"

//ipaddr은 command 명령의 argv[1]을 가져온다.
Guest::Guest(char* ipaddr)
{

	resize(800, 600);

	receivedLabel = new QLabel(this);
	receivedLabel->setMinimumSize(800, 600);
	receivedLabel->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);
	receivedLabel->setAlignment(Qt::AlignCenter);

	setWindowTitle(tr("Client"));

	client = new Client(ipaddr);

	// 초기화 함수 끝난 후 부터 시작.. 0_0
	QTimer::singleShot(1000, this, SLOT(receive()));
}

void Guest::receive()
{
	client->receiveImage();
	
	// 안정적으로 처리하려면,  png파일이 깨졌을 경우, 로드하지 말아야함	
	receivedPixmap.load(tr("screen.png"));

	receivedLabel->setPixmap(receivedPixmap.scaled(receivedLabel->size(), Qt::KeepAspectRatio, Qt::SmoothTransformation));
	QTimer::singleShot(100, this, SLOT(receive()));
}
