#ifndef SCREENSHOT_H
#define SCREENSHOT_H

#include <QPixmap>
#include <QWidget>
#include <QLabel>
#include <QSize>
#include <QPushButton>

#include "client.h"

class Guest: public QWidget
{
     Q_OBJECT

public:
	Guest(char* ipaddr=0);

public slots:
	void receive();

private:
	QLabel*			receivedLabel;
	QPixmap 		receivedPixmap;		// 저장할 pixmap
	Client*			client;
};

 #endif
