#include <iostream>
#include <unistd.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <fcntl.h>

#define IMAGEFILENAME "screen.png"

#define PORT    5000
#define BUFSIZE 1024

class Server
{

public:
	Server();
	~Server();
	
	int Init();
	int Exit();

	int transferImage();
	void error_handling(char *message);
	bool IsExcute()	{return isExcute;};

private:
	int 		serv_sock;		// 서버 소켓
	int 		clnt_sock;		// 클라이언트 소켓

	struct sockaddr_in 	serv_addr;	// 서버 주소
	struct sockaddr_in 	clnt_addr;	// 클라이언트 주소
	
	int 		clnt_addr_size;			// 클라이언트 주소 사이즈;
	
	int 		fd_image;				// 이미지 파일의 파일 디스크립터
	bool		isExcute;				// 실행 여부
};
